> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Apps

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /app`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#get-the-authenticated-app) - Get the authenticated app
* [`POST /app-manifests/{code}/conversions`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#create-a-github-app-from-a-manifest) - Create a GitHub App from a manifest
* [`GET /app/installation-requests`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#list-installation-requests-for-the-authenticated-app) - List installation requests for the authenticated app
* [`GET /app/installations`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#list-installations-for-the-authenticated-app) - List installations for the authenticated app
* [`GET /app/installations/{installation_id}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#get-an-installation-for-the-authenticated-app) - Get an installation for the authenticated app
* [`DELETE /app/installations/{installation_id}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#delete-an-installation-for-the-authenticated-app) - Delete an installation for the authenticated app
* [`POST /app/installations/{installation_id}/access_tokens`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#create-an-installation-access-token-for-an-app) - Create an installation access token for an app
* [`PUT /app/installations/{installation_id}/suspended`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#suspend-an-app-installation) - Suspend an app installation
* [`DELETE /app/installations/{installation_id}/suspended`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#unsuspend-an-app-installation) - Unsuspend an app installation
* [`POST /applications/{client_id}/token/scoped`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#create-a-scoped-access-token) - Create a scoped access token
* [`GET /apps/{app_slug}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#get-an-app) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get an app
* [`GET /enterprises/{enterprise}/installation`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#get-an-enterprise-installation-for-the-authenticated-app) - Get an enterprise installation for the authenticated app
* [`GET /orgs/{org}/installation`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#get-an-organization-installation-for-the-authenticated-app) - Get an organization installation for the authenticated app
* [`GET /repos/{owner}/{repo}/installation`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#get-a-repository-installation-for-the-authenticated-app) - Get a repository installation for the authenticated app
* [`GET /users/{username}/installation`](https://docs.github.com/enterprise-cloud@latest/rest/apps/apps#get-a-user-installation-for-the-authenticated-app) - Get a user installation for the authenticated app
